package com.zwxl.nft.api.controller;

package ..deTemp.1733385077239;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSONObject;
import com.zwxl.nft.api.mapper.NftUserTransferMapper;
import com.zwxl.nft.api.utils.HttpClient;
import java.util.Map;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"/api"})
public class NfeBlockChainController {
  private static final Logger log = LoggerFactory.getLogger(com.zwxl.nft.api.controller.NfeBlockChainController.class);
  
  @Autowired
  private NftUserTransferMapper nftUserTransferMapper;
  
  @Value("${link.blockHeight}")
  private String blockHeightUrl;
  
  private static final Logger logger = LoggerFactory.getLogger(com.zwxl.nft.api.controller.NfeBlockChainController.class);
  
  @GetMapping({"/blockInfo"})
  public JSONObject utList() {
    JSONObject jsonObject = new JSONObject();
    jsonObject.put("network", "mtbaas-network");
    jsonObject.put("password", "exploreradminpw");
    jsonObject.put("user", "exploreradmin");
    String res = HttpUtil.post("http://" + this.blockHeightUrl + "/auth/login", (Map)jsonObject);
    JSONObject jsonObject2 = JSONObject.parseObject(res);
    String res1 = ((HttpRequest)HttpRequest.get("http://" + this.blockHeightUrl + "/api/curChannel").header("Authorization", "Bearer " + jsonObject2.getString("token"))).execute().body();
    JSONObject curchannelJson = JSONObject.parseObject(res1);
    String current = curchannelJson.getString("currentChannel");
    String res2 = ((HttpRequest)HttpRequest.get("http://" + this.blockHeightUrl + "/api/status/" + current).header("Authorization", "Bearer " + jsonObject2.getString("token"))).execute().body();
    JSONObject statusJson = JSONObject.parseObject(res2);
    statusJson.put("peerCount", Integer.valueOf(6));
    return statusJson;
  }
  
  @GetMapping({"/getDataInfo"})
  public String getDataInfo() {
    String value = HttpClient.doGet("http://192.168.200.47:12018/ytj-admin/minter/zjminter/originData");
    return value;
  }
}
